
<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      
        <link rel="prev" href="..">
      
      
        <link rel="next" href="../dbutils_helper/">
      
      
      <link rel="icon" href="../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.6.0, mkdocs-material-9.5.25">
    
    
      
        <title>Data Objects - Digital Turbine ML Infra Documentation</title>
      
    
    
      <link rel="stylesheet" href="../assets/stylesheets/main.6543a935.min.css">
      
        
        <link rel="stylesheet" href="../assets/stylesheets/palette.06af60db.min.css">
      
      


    
    
      
    
    
      
        
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&display=fallback">
        <style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
      
    
    
      <link rel="stylesheet" href="../assets/_mkdocstrings.css">
    
    <script>__md_scope=new URL("..",location),__md_hash=e=>[...e].reduce((e,_)=>(e<<5)-e+_.charCodeAt(0),0),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
    
      

    
    
    
  </head>
  
  
    
    
      
    
    
    
    
    <body dir="ltr" data-md-color-scheme="default" data-md-color-primary="pink" data-md-color-accent="white">
  
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#data-objects" class="md-skip">
          Skip to content
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
    
      

  

<header class="md-header md-header--shadow md-header--lifted" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Header">
    <a href=".." title="Digital Turbine ML Infra Documentation" class="md-header__button md-logo" aria-label="Digital Turbine ML Infra Documentation" data-md-component="logo">
      
  <img src="../dt_icon_red.png" alt="logo">

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2Z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            Digital Turbine ML Infra Documentation
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Data Objects
            
          </span>
        </div>
      </div>
    </div>
    
      
        <form class="md-header__option" data-md-component="palette">
  
    
    
    
    <input class="md-option" data-md-color-media="" data-md-color-scheme="default" data-md-color-primary="pink" data-md-color-accent="white"  aria-label="Switch to dark mode"  type="radio" name="__palette" id="__palette_0">
    
      <label class="md-header__button md-icon" title="Switch to dark mode" for="__palette_1" hidden>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="m17.75 4.09-2.53 1.94.91 3.06-2.63-1.81-2.63 1.81.91-3.06-2.53-1.94L12.44 4l1.06-3 1.06 3 3.19.09m3.5 6.91-1.64 1.25.59 1.98-1.7-1.17-1.7 1.17.59-1.98L15.75 11l2.06-.05L18.5 9l.69 1.95 2.06.05m-2.28 4.95c.83-.08 1.72 1.1 1.19 1.85-.32.45-.66.87-1.08 1.27C15.17 23 8.84 23 4.94 19.07c-3.91-3.9-3.91-10.24 0-14.14.4-.4.82-.76 1.27-1.08.75-.53 1.93.36 1.85 1.19-.27 2.86.69 5.83 2.89 8.02a9.96 9.96 0 0 0 8.02 2.89m-1.64 2.02a12.08 12.08 0 0 1-7.8-3.47c-2.17-2.19-3.33-5-3.49-7.82-2.81 3.14-2.7 7.96.31 10.98 3.02 3.01 7.84 3.12 10.98.31Z"/></svg>
      </label>
    
  
    
    
    
    <input class="md-option" data-md-color-media="" data-md-color-scheme="slate" data-md-color-primary="pink" data-md-color-accent="white"  aria-label="Switch to light mode"  type="radio" name="__palette" id="__palette_1">
    
      <label class="md-header__button md-icon" title="Switch to light mode" for="__palette_0" hidden>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 7a5 5 0 0 1 5 5 5 5 0 0 1-5 5 5 5 0 0 1-5-5 5 5 0 0 1 5-5m0 2a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3m0-7 2.39 3.42C13.65 5.15 12.84 5 12 5c-.84 0-1.65.15-2.39.42L12 2M3.34 7l4.16-.35A7.2 7.2 0 0 0 5.94 8.5c-.44.74-.69 1.5-.83 2.29L3.34 7m.02 10 1.76-3.77a7.131 7.131 0 0 0 2.38 4.14L3.36 17M20.65 7l-1.77 3.79a7.023 7.023 0 0 0-2.38-4.15l4.15.36m-.01 10-4.14.36c.59-.51 1.12-1.14 1.54-1.86.42-.73.69-1.5.83-2.29L20.64 17M12 22l-2.41-3.44c.74.27 1.55.44 2.41.44.82 0 1.63-.17 2.37-.44L12 22Z"/></svg>
      </label>
    
  
</form>
      
    
    
      <script>var media,input,key,value,palette=__md_get("__palette");if(palette&&palette.color){"(prefers-color-scheme)"===palette.color.media&&(media=matchMedia("(prefers-color-scheme: light)"),input=document.querySelector(media.matches?"[data-md-color-media='(prefers-color-scheme: light)']":"[data-md-color-media='(prefers-color-scheme: dark)']"),palette.color.media=input.getAttribute("data-md-color-media"),palette.color.scheme=input.getAttribute("data-md-color-scheme"),palette.color.primary=input.getAttribute("data-md-color-primary"),palette.color.accent=input.getAttribute("data-md-color-accent"));for([key,value]of Object.entries(palette.color))document.body.setAttribute("data-md-color-"+key,value)}</script>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
      </label>
      <div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Search" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
        
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" title="Clear" aria-label="Clear" tabindex="-1">
          
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41Z"/></svg>
        </button>
      </nav>
      
        <div class="md-search__suggest" data-md-component="search-suggest"></div>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list" role="presentation"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
  </nav>
  
    
      
<nav class="md-tabs" aria-label="Tabs" data-md-component="tabs">
  <div class="md-grid">
    <ul class="md-tabs__list">
      
        
  
  
  
    <li class="md-tabs__item">
      <a href=".." class="md-tabs__link">
        
  
    
  
  Home

      </a>
    </li>
  

      
        
  
  
    
  
  
    <li class="md-tabs__item md-tabs__item--active">
      <a href="./" class="md-tabs__link">
        
  
    
  
  Data Objects

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../dbutils_helper/" class="md-tabs__link">
        
  
    
  
  DBUtils Helper

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../generic/" class="md-tabs__link">
        
  
    
  
  Generic

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../io/" class="md-tabs__link">
        
  
    
  
  IO - Inputs Outputs

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../mapper/" class="md-tabs__link">
        
  
    
  
  Mapper

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../ml/" class="md-tabs__link">
        
  
    
  
  Machine Learning (ml)

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../processor/" class="md-tabs__link">
        
  
    
  
  Processor

      </a>
    </li>
  

      
        
  
  
  
    <li class="md-tabs__item">
      <a href="../slicer/" class="md-tabs__link">
        
  
    
  
  Slicer

      </a>
    </li>
  

      
    </ul>
  </div>
</nav>
    
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    


  


  

<nav class="md-nav md-nav--primary md-nav--lifted md-nav--integrated" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href=".." title="Digital Turbine ML Infra Documentation" class="md-nav__button md-logo" aria-label="Digital Turbine ML Infra Documentation" data-md-component="logo">
      
  <img src="../dt_icon_red.png" alt="logo">

    </a>
    Digital Turbine ML Infra Documentation
  </label>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href=".." class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Home
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
    
  
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" type="checkbox" id="__toc">
      
      
        
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          
  
  <span class="md-ellipsis">
    Data Objects
  </span>
  

          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="./" class="md-nav__link md-nav__link--active">
        
  
  <span class="md-ellipsis">
    Data Objects
  </span>
  

      </a>
      
        

<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#data_objects" class="md-nav__link">
    <span class="md-ellipsis">
      data_objects
    </span>
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#data_objects.DeDataObjects" class="md-nav__link">
    <span class="md-ellipsis">
      DeDataObjects
    </span>
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#data_objects.DsDataObjects" class="md-nav__link">
    <span class="md-ellipsis">
      DsDataObjects
    </span>
  </a>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../dbutils_helper/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    DBUtils Helper
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../generic/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Generic
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../io/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    IO - Inputs Outputs
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../mapper/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Mapper
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../ml/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Machine Learning (ml)
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../processor/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Processor
  </span>
  

      </a>
    </li>
  

    
      
      
  
  
  
  
    <li class="md-nav__item">
      <a href="../slicer/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Slicer
  </span>
  

      </a>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
          
          
            <div class="md-content" data-md-component="content">
              <article class="md-content__inner md-typeset">
                
                  


<h1 id="data-objects">Data Objects</h1>
<p>Collection of paths and assets of various data sources.</p>
<p>How to use:
<div class="highlight"><pre><span></span><code><a id="__codelineno-0-1" name="__codelineno-0-1" href="#__codelineno-0-1"></a><span class="kn">from</span> <span class="nn">infra.data_objects</span> <span class="kn">import</span> <span class="n">DeDataObjects</span><span class="p">,</span> <span class="n">DsDataObjects</span>
<a id="__codelineno-0-2" name="__codelineno-0-2" href="#__codelineno-0-2"></a><span class="nb">print</span><span class="p">(</span><span class="n">DeDataObjects</span><span class="o">.</span><span class="n">HOURLY_FULL</span><span class="p">)</span>
</code></pre></div>
<code>&gt;&gt; 'gs:// *** -silver-regional-useast1-prod/hourlyFull'</code></p>


<div class="doc doc-object doc-module">



<a id="data_objects"></a>
    <div class="doc doc-contents first">



  <div class="doc doc-children">








<div class="doc doc-object doc-class">



<h2 id="data_objects.DeDataObjects" class="doc doc-heading">
            <code>DeDataObjects</code>


</h2>


    <div class="doc doc-contents ">


      <p>Contains Data Engineering directories</p>
<ul>
<li>Raw data: Auction Object, SDKBiddingFix, Impressions</li>
<li>Druid: Hourly / bidsHourly full</li>
<li>Blue raven: Mapped</li>
<li>Offerwall: Marshal + Raw</li>
</ul>

              <details class="quote">
                <summary>Source code in <code>data_objects.py</code></summary>
                <div class="highlight"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre><span></span><span class="normal"><a href="#__codelineno-0-31">31</a></span>
<span class="normal"><a href="#__codelineno-0-32">32</a></span>
<span class="normal"><a href="#__codelineno-0-33">33</a></span>
<span class="normal"><a href="#__codelineno-0-34">34</a></span>
<span class="normal"><a href="#__codelineno-0-35">35</a></span>
<span class="normal"><a href="#__codelineno-0-36">36</a></span>
<span class="normal"><a href="#__codelineno-0-37">37</a></span>
<span class="normal"><a href="#__codelineno-0-38">38</a></span>
<span class="normal"><a href="#__codelineno-0-39">39</a></span>
<span class="normal"><a href="#__codelineno-0-40">40</a></span>
<span class="normal"><a href="#__codelineno-0-41">41</a></span>
<span class="normal"><a href="#__codelineno-0-42">42</a></span>
<span class="normal"><a href="#__codelineno-0-43">43</a></span>
<span class="normal"><a href="#__codelineno-0-44">44</a></span>
<span class="normal"><a href="#__codelineno-0-45">45</a></span>
<span class="normal"><a href="#__codelineno-0-46">46</a></span>
<span class="normal"><a href="#__codelineno-0-47">47</a></span>
<span class="normal"><a href="#__codelineno-0-48">48</a></span>
<span class="normal"><a href="#__codelineno-0-49">49</a></span>
<span class="normal"><a href="#__codelineno-0-50">50</a></span>
<span class="normal"><a href="#__codelineno-0-51">51</a></span>
<span class="normal"><a href="#__codelineno-0-52">52</a></span>
<span class="normal"><a href="#__codelineno-0-53">53</a></span>
<span class="normal"><a href="#__codelineno-0-54">54</a></span>
<span class="normal"><a href="#__codelineno-0-55">55</a></span>
<span class="normal"><a href="#__codelineno-0-56">56</a></span>
<span class="normal"><a href="#__codelineno-0-57">57</a></span>
<span class="normal"><a href="#__codelineno-0-58">58</a></span>
<span class="normal"><a href="#__codelineno-0-59">59</a></span></pre></div></td><td class="code"><div><pre><span></span><code><a id="__codelineno-0-31" name="__codelineno-0-31"></a><span class="k">class</span> <span class="nc">DeDataObjects</span><span class="p">:</span>
<a id="__codelineno-0-32" name="__codelineno-0-32"></a><span class="w">    </span><span class="sd">&quot;&quot;&quot;Contains Data Engineering directories</span>
<a id="__codelineno-0-33" name="__codelineno-0-33"></a>
<a id="__codelineno-0-34" name="__codelineno-0-34"></a><span class="sd">        - Raw data: Auction Object, SDKBiddingFix, Impressions</span>
<a id="__codelineno-0-35" name="__codelineno-0-35"></a><span class="sd">        - Druid: Hourly / bidsHourly full</span>
<a id="__codelineno-0-36" name="__codelineno-0-36"></a><span class="sd">        - Blue raven: Mapped</span>
<a id="__codelineno-0-37" name="__codelineno-0-37"></a><span class="sd">        - Offerwall: Marshal + Raw</span>
<a id="__codelineno-0-38" name="__codelineno-0-38"></a><span class="sd">    &quot;&quot;&quot;</span>
<a id="__codelineno-0-39" name="__codelineno-0-39"></a>    <span class="n">DTX_BRONZE</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-core-services-agp-exchange-bronze-regional-useast1-prod&quot;</span>
<a id="__codelineno-0-40" name="__codelineno-0-40"></a>    <span class="n">JAQUET_PROD</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DTX_BRONZE</span><span class="si">}</span><span class="s2">/jaquet/production&quot;</span>
<a id="__codelineno-0-41" name="__codelineno-0-41"></a>    <span class="n">JAQUET_STG</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DTX_BRONZE</span><span class="si">}</span><span class="s2">/jaquet/staging&quot;</span>
<a id="__codelineno-0-42" name="__codelineno-0-42"></a>    <span class="n">AUCTION_OBJECT_PROD</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">JAQUET_PROD</span><span class="si">}</span><span class="s2">/AUCTION_OBJECT&quot;</span>
<a id="__codelineno-0-43" name="__codelineno-0-43"></a>    <span class="n">AUCTION_OBJECT_STG</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">JAQUET_STG</span><span class="si">}</span><span class="s2">/AUCTION_OBJECT&quot;</span>
<a id="__codelineno-0-44" name="__codelineno-0-44"></a>    <span class="n">SDKBIDDER_PROD</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">JAQUET_PROD</span><span class="si">}</span><span class="s2">/SDKBiddingFix&quot;</span>
<a id="__codelineno-0-45" name="__codelineno-0-45"></a>    <span class="n">SDKBIDDER_STG</span> <span class="o">=</span><span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">JAQUET_STG</span><span class="si">}</span><span class="s2">/SDKBiddingFix&quot;</span>
<a id="__codelineno-0-46" name="__codelineno-0-46"></a>    <span class="n">IMPRESSIONS_PROD</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">JAQUET_PROD</span><span class="si">}</span><span class="s2">/IMPRESSION_DATA_EVENT&quot;</span>
<a id="__codelineno-0-47" name="__codelineno-0-47"></a>    <span class="n">IMPRESSIONS_STG</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">JAQUET_STG</span><span class="si">}</span><span class="s2">/IMPRESSION_DATA_EVENT&quot;</span>
<a id="__codelineno-0-48" name="__codelineno-0-48"></a>
<a id="__codelineno-0-49" name="__codelineno-0-49"></a>    <span class="n">DTX_SILVER</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-core-services-agp-exchange-silver-regional-useast1-prod&quot;</span>
<a id="__codelineno-0-50" name="__codelineno-0-50"></a>    <span class="n">HOURLY</span> <span class="o">=</span> <span class="s2">&quot;hourlyFull&quot;</span>
<a id="__codelineno-0-51" name="__codelineno-0-51"></a>    <span class="n">BIDS_HOURLY</span> <span class="o">=</span> <span class="s2">&quot;bidsHourlyFull&quot;</span>
<a id="__codelineno-0-52" name="__codelineno-0-52"></a>    <span class="n">HOURLY_FULL</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DTX_SILVER</span><span class="si">}</span><span class="s2">/</span><span class="si">{</span><span class="n">HOURLY</span><span class="si">}</span><span class="s2">&quot;</span>
<a id="__codelineno-0-53" name="__codelineno-0-53"></a>    <span class="n">BIDS_HOURLY_FULL</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DTX_SILVER</span><span class="si">}</span><span class="s2">/</span><span class="si">{</span><span class="n">BIDS_HOURLY</span><span class="si">}</span><span class="s2">&quot;</span>
<a id="__codelineno-0-54" name="__codelineno-0-54"></a>    <span class="n">AUCTION_ANALYTICS</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DTX_SILVER</span><span class="si">}</span><span class="s2">/auctionanalytics&quot;</span>
<a id="__codelineno-0-55" name="__codelineno-0-55"></a>
<a id="__codelineno-0-56" name="__codelineno-0-56"></a>    <span class="n">BLUE_RAVEN</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-core-services-agp-fairbid-silver-regional-useast1-prod/blue-raven/production/mapped&quot;</span> <span class="c1"># FairBid</span>
<a id="__codelineno-0-57" name="__codelineno-0-57"></a>
<a id="__codelineno-0-58" name="__codelineno-0-58"></a>    <span class="n">OFW_MARSHAL</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-marshal-data-offerwall-prod-useast1&quot;</span>
<a id="__codelineno-0-59" name="__codelineno-0-59"></a>    <span class="n">OFW_BRONZE</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-core-services-agp-offerwall-bronze-regional-useast1-prod&quot;</span> <span class="c1"># Offerwall Raw</span>
</code></pre></div></td></tr></table></div>
              </details>



  <div class="doc doc-children">











  </div>

    </div>

</div>

<div class="doc doc-object doc-class">



<h2 id="data_objects.DsDataObjects" class="doc doc-heading">
            <code>DsDataObjects</code>


</h2>


    <div class="doc doc-contents ">


      <p>Contains Data science directories</p>
<ul>
<li>Production</li>
<li>Sandbox + Lab</li>
<li>Unity Catalog Tables</li>
</ul>

              <details class="quote">
                <summary>Source code in <code>data_objects.py</code></summary>
                <div class="highlight"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre><span></span><span class="normal"><a href="#__codelineno-0-1"> 1</a></span>
<span class="normal"><a href="#__codelineno-0-2"> 2</a></span>
<span class="normal"><a href="#__codelineno-0-3"> 3</a></span>
<span class="normal"><a href="#__codelineno-0-4"> 4</a></span>
<span class="normal"><a href="#__codelineno-0-5"> 5</a></span>
<span class="normal"><a href="#__codelineno-0-6"> 6</a></span>
<span class="normal"><a href="#__codelineno-0-7"> 7</a></span>
<span class="normal"><a href="#__codelineno-0-8"> 8</a></span>
<span class="normal"><a href="#__codelineno-0-9"> 9</a></span>
<span class="normal"><a href="#__codelineno-0-10">10</a></span>
<span class="normal"><a href="#__codelineno-0-11">11</a></span>
<span class="normal"><a href="#__codelineno-0-12">12</a></span>
<span class="normal"><a href="#__codelineno-0-13">13</a></span>
<span class="normal"><a href="#__codelineno-0-14">14</a></span>
<span class="normal"><a href="#__codelineno-0-15">15</a></span>
<span class="normal"><a href="#__codelineno-0-16">16</a></span>
<span class="normal"><a href="#__codelineno-0-17">17</a></span>
<span class="normal"><a href="#__codelineno-0-18">18</a></span>
<span class="normal"><a href="#__codelineno-0-19">19</a></span>
<span class="normal"><a href="#__codelineno-0-20">20</a></span>
<span class="normal"><a href="#__codelineno-0-21">21</a></span>
<span class="normal"><a href="#__codelineno-0-22">22</a></span>
<span class="normal"><a href="#__codelineno-0-23">23</a></span>
<span class="normal"><a href="#__codelineno-0-24">24</a></span>
<span class="normal"><a href="#__codelineno-0-25">25</a></span>
<span class="normal"><a href="#__codelineno-0-26">26</a></span>
<span class="normal"><a href="#__codelineno-0-27">27</a></span>
<span class="normal"><a href="#__codelineno-0-28">28</a></span></pre></div></td><td class="code"><div><pre><span></span><code><a id="__codelineno-0-1" name="__codelineno-0-1"></a><span class="k">class</span> <span class="nc">DsDataObjects</span><span class="p">:</span>
<a id="__codelineno-0-2" name="__codelineno-0-2"></a><span class="w">    </span><span class="sd">&quot;&quot;&quot;Contains Data science directories</span>
<a id="__codelineno-0-3" name="__codelineno-0-3"></a>
<a id="__codelineno-0-4" name="__codelineno-0-4"></a><span class="sd">        - Production</span>
<a id="__codelineno-0-5" name="__codelineno-0-5"></a><span class="sd">        - Sandbox + Lab</span>
<a id="__codelineno-0-6" name="__codelineno-0-6"></a><span class="sd">        - Unity Catalog Tables</span>
<a id="__codelineno-0-7" name="__codelineno-0-7"></a><span class="sd">    &quot;&quot;&quot;</span>
<a id="__codelineno-0-8" name="__codelineno-0-8"></a>    <span class="n">DS_DTX</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-exchange-inneractive-data-science-us-east1-prod&quot;</span>
<a id="__codelineno-0-9" name="__codelineno-0-9"></a>    <span class="n">PROD_DS</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_DTX</span><span class="si">}</span><span class="s2">/production&quot;</span>
<a id="__codelineno-0-10" name="__codelineno-0-10"></a>    <span class="n">SANDBOX</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_DTX</span><span class="si">}</span><span class="s2">/sandbox&quot;</span>
<a id="__codelineno-0-11" name="__codelineno-0-11"></a>    <span class="n">LAB_DS</span> <span class="o">=</span>  <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_DTX</span><span class="si">}</span><span class="s2">/sandbox/lab&quot;</span>
<a id="__codelineno-0-12" name="__codelineno-0-12"></a>    <span class="n">DEBUG</span> <span class="o">=</span>   <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_DTX</span><span class="si">}</span><span class="s2">/sandbox/debug&quot;</span>
<a id="__codelineno-0-13" name="__codelineno-0-13"></a>
<a id="__codelineno-0-14" name="__codelineno-0-14"></a>    <span class="c1"># DSP</span>
<a id="__codelineno-0-15" name="__codelineno-0-15"></a>    <span class="n">DSP_SUB</span> <span class="o">=</span> <span class="s2">&quot;dt_dsp&quot;</span>
<a id="__codelineno-0-16" name="__codelineno-0-16"></a>    <span class="n">DT_DSP_PROD</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">PROD_DS</span><span class="si">}</span><span class="s2">/</span><span class="si">{</span><span class="n">DSP_SUB</span><span class="si">}</span><span class="s2">&quot;</span>
<a id="__codelineno-0-17" name="__codelineno-0-17"></a>    <span class="n">DT_DSP_STG</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">SANDBOX</span><span class="si">}</span><span class="s2">/</span><span class="si">{</span><span class="n">DSP_SUB</span><span class="si">}</span><span class="s2">&quot;</span>
<a id="__codelineno-0-18" name="__codelineno-0-18"></a>
<a id="__codelineno-0-19" name="__codelineno-0-19"></a>    <span class="c1"># Offerwall</span>
<a id="__codelineno-0-20" name="__codelineno-0-20"></a>    <span class="n">DS_OFW</span> <span class="o">=</span> <span class="s2">&quot;gs://gcs-marshal-ds-offerwall-prod-useast1&quot;</span>
<a id="__codelineno-0-21" name="__codelineno-0-21"></a>    <span class="n">PROD_MARSHAL</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_OFW</span><span class="si">}</span><span class="s2">/production&quot;</span>
<a id="__codelineno-0-22" name="__codelineno-0-22"></a>    <span class="n">STG_MARSHAL</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_OFW</span><span class="si">}</span><span class="s2">/staging&quot;</span>
<a id="__codelineno-0-23" name="__codelineno-0-23"></a>
<a id="__codelineno-0-24" name="__codelineno-0-24"></a>    <span class="c1"># DS Unity Catalog tables</span>
<a id="__codelineno-0-25" name="__codelineno-0-25"></a>    <span class="n">DS_UNITY_SCHEMA</span> <span class="o">=</span> <span class="s2">&quot;prod_one_dt_datalake.datascience&quot;</span>
<a id="__codelineno-0-26" name="__codelineno-0-26"></a>    <span class="n">BIDOPT_EXCLUDED</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_UNITY_SCHEMA</span><span class="si">}</span><span class="s2">.bidopt_excluded_dsps&quot;</span>
<a id="__codelineno-0-27" name="__codelineno-0-27"></a>    <span class="n">SDK_BIDDING_FLOOR_MARGIN_EXCLUDED_DSPS</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_UNITY_SCHEMA</span><span class="si">}</span><span class="s2">.sdkbidding_margin_opt_excluded_dsps&quot;</span>
<a id="__codelineno-0-28" name="__codelineno-0-28"></a>    <span class="n">GF2_MULT</span> <span class="o">=</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{</span><span class="n">DS_UNITY_SCHEMA</span><span class="si">}</span><span class="s2">.gf2_networks_multipliers&quot;</span>
</code></pre></div></td></tr></table></div>
              </details>



  <div class="doc doc-children">











  </div>

    </div>

</div>




  </div>

    </div>

</div>












                
              </article>
            </div>
          
          
  <script>var tabs=__md_get("__tabs");if(Array.isArray(tabs))e:for(var set of document.querySelectorAll(".tabbed-set")){var tab,labels=set.querySelector(".tabbed-labels");for(tab of tabs)for(var label of labels.getElementsByTagName("label"))if(label.innerText.trim()===tab){var input=document.getElementById(label.htmlFor);input.checked=!0;continue e}}</script>

<script>var target=document.getElementById(location.hash.slice(1));target&&target.name&&(target.checked=target.name.startsWith("__tabbed_"))</script>
        </div>
        
          <button type="button" class="md-top md-icon" data-md-component="top" hidden>
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M13 20h-2V8l-5.5 5.5-1.42-1.42L12 4.16l7.92 7.92-1.42 1.42L13 8v12Z"/></svg>
  Back to top
</button>
        
      </main>
      
        <footer class="md-footer">
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-copyright">
  
    <div class="md-copyright__highlight">
      &copy; 2024 <a href="https://www.digitalturbine.com/#contact"  target="_blank" rel="noopener">Digital Turbine IL Data Science Team</a>
    </div>
  
  
    Made with
    <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
      Material for MkDocs
    </a>
  
</div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    
    
    <script id="__config" type="application/json">{"base": "..", "features": ["navigation.tabs", "navigation.sections", "navigation.tabs.sticky", "navigation.path", "toc.integrate", "navigation.top", "search.suggest", "search.highlight", "content.tabs.link", "content.code.annotation", "content.code.copy", "navigation.tracking"], "search": "../assets/javascripts/workers/search.b8dbb3d2.min.js", "translations": {"clipboard.copied": "Copied to clipboard", "clipboard.copy": "Copy to clipboard", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.placeholder": "Type to start searching", "search.result.term.missing": "Missing", "select.version": "Select version"}}</script>
    
    
      <script src="../assets/javascripts/bundle.081f42fc.min.js"></script>
      
    
  </body>
</html>